<?php
    /**
     * Theme options via the Customizer.
     *
     * @package daytrip
     * @since daytrip 1.0
     */

    // ------------- Theme Customizer  ------------- //

    add_action( 'customize_register', 'daytrip_customizer_register' );

    function daytrip_customizer_register( $wp_customize ) {



// Pro Version
        class Daytrip_Customize_Pro_Version extends WP_Customize_Control {
            public $type = 'pro_options';

            public function render_content() {
                echo '<span>Upgrade to <strong></strong></span>';
                echo '<a href="'. esc_url($this->description) .'" target="_blank">';
                echo '<strong> '. esc_html__( 'Daytrip Premium', 'daytrip' ) .'<strong></a>';
                echo '</a>';
            }
        }

        // Pro Version Links
        class Daytrip_Customize_Pro_Version_Links extends WP_Customize_Control {
            public $type = 'pro_links';

            public function render_content() {
                ?>
                <ul>
                    <li class="customize-control">
                        <h3><?php esc_html_e( 'Upgrade', 'daytrip' ); ?> <span>*</span></h3>
                        <p><?php esc_html_e( 'There are lots of reasons to upgrade to Pro version. Unlimited custom Colors, rich Typography options, multiple variation of Blog Feed layout and way much more. Also Premium Support included.', 'daytrip' ); ?></p>
                        <a href="<?php echo esc_url('https://www.vinethemes.com/downloads/daytrip-travel-wordpress-theme/'); ?>" target="_blank" class="button button-primary widefat"><?php esc_html_e( 'Get Daytrip Premium', 'daytrip' ); ?></a>
                    </li>
                    <li class="customize-control">
                        <h3><?php esc_html_e( 'Documentation', 'daytrip' ); ?></h3>
                        <p><?php esc_html_e( 'Read how to customize the theme, set up widgets, and learn all the possible options available to you.', 'daytrip' ); ?></p>
                        <a href="<?php echo esc_url('https://www.vinethemes.com/documentation/daytrip-theme-documentation/'); ?>" target="_blank" class="button button-primary widefat"><?php esc_html_e( 'Documentation', 'daytrip' ); ?></a>
                    </li>
                    <li class="customize-control">
                        <h3><?php esc_html_e( 'Support', 'daytrip' ); ?></h3>
                        <p><?php esc_html_e( 'For Daytrip theme related questions feel free to post on our support forums.', 'daytrip' ); ?></p>
                        <a href="<?php echo esc_url('https://vinethemes.com/forums'); ?>" target="_blank" class="button button-primary widefat"><?php esc_html_e( 'Support', 'daytrip' ); ?></a>
                    </li>

                </ul>
                <?php
            }
        }


        /*
        ** Pro Version =====
        */

        // add Colors section
        $wp_customize->add_section( 'daytrip_pro' , array(
            'title'		 => esc_html__( 'About Daytrip', 'daytrip' ),
            'priority'	 => 1,
            'capability' => 'edit_theme_options'
        ) );

        // Pro Version
        $wp_customize->add_setting( 'pro_version_', array(
            'sanitize_callback' => 'daytrip_sanitize_custom_control'
        ) );
        $wp_customize->add_control( new Daytrip_Customize_Pro_Version_Links ( $wp_customize,
                'pro_version_', array(
                    'section'	=> 'daytrip_pro',
                    'type'		=> 'pro_links',
                    'label' 	=> '',
                    'priority'	=> 1
                )
            )
        );






        //Header Designs
        $wp_customize->add_section( 'daytrip_customizer_header', array(
            'title'       => esc_html__( 'Header Designs', 'daytrip' ),
            'description' => esc_html__( 'Configure your Header designs here.', 'daytrip' ),
            'priority'    => 1
        ) );

        $wp_customize->add_setting( 'daytrip_header_designs', array(
            'default'    => 'header1',
            'section'  => 'daytrip_customizer_header',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'daytrip_sanitize_radio',
        ) );

        $wp_customize->add_control( 'daytrip_header_designs', array(
            'type' => 'radio',
            'label'    => esc_html__( 'Header Designs', 'daytrip' ),
            'section'  => 'daytrip_customizer_header',
            'choices'  => array(
                'header1' => esc_html__( 'Header 1', 'daytrip' ),
                'header2' => esc_html__( 'Header 2', 'daytrip' ),
                'header3' => esc_html__( 'Header 3', 'daytrip' ),
            ),
            'priority' => 9
        ) );

        // Pro Version
        $wp_customize->add_setting( 'pro_version_colors8', array(
            'sanitize_callback' => 'daytrip_sanitize_custom_control'
        ) );
        $wp_customize->add_control( new Daytrip_Customize_Pro_Version ( $wp_customize,
                'pro_version_colors8', array(
                    'section'	  => 'daytrip_customizer_header',
                    'type'		  => 'pro_options',
                    'label' 	  => esc_html__( 'Upgrade', 'daytrip' ),
                    'description' => esc_url_raw( 'https://www.vinethemes.com/downloads/daytrip-travel-wordpress-theme/' ),
                    'priority'	  => 100
                )
            )
        );

        // Featured Boxes Starts

        $wp_customize->add_section( 'daytrip_featured_boxes' , array(
            'title'      => esc_html__( 'Featured Boxes','daytrip'),
            'description'=> esc_html__( 'Configure Featured Boxes', 'daytrip' ),
            'priority'   => 2,
        ) );

        // Featured Boxes
        $wp_customize->add_setting('daytrip_featured_box', array(
            'default'     => false,
            'section'  => 'daytrip_featured_boxes',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'daytrip_sanitize_checkbox',
        ) );
        $wp_customize->add_setting('daytrip_promo1_title', array(
            'default'     => '',
            'section'  => 'daytrip_featured_boxes',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'sanitize_text_field',
        ) );

        $wp_customize->add_setting('daytrip_promo1_image', array(
            'default' => get_theme_file_uri('images/slider-default.png'), // Add Default Image URL
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_setting(
            'daytrip_promo1_url',
            array(
                'default'     => '',
                'sanitize_callback'	=> 'esc_url_raw',
            )
        );

        $wp_customize->add_setting('daytrip_promo2_title', array(
            'default'     => '',
            'section'  => 'daytrip_featured_boxes',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'sanitize_text_field',
        ) );

        $wp_customize->add_setting('daytrip_promo2_image', array(
            'default' => get_theme_file_uri('images/slider-default.png'), // Add Default Image URL
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_setting(
            'daytrip_promo2_url',
            array(
                'default'     => '',
                'sanitize_callback'	=> 'esc_url_raw',
            )
        );

        $wp_customize->add_setting('daytrip_promo3_title', array(
            'default'     => '',
            'section'  => 'daytrip_featured_boxes',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'sanitize_text_field',
        ) );

        $wp_customize->add_setting('daytrip_promo3_image', array(
            'default' => get_theme_file_uri('images/slider-default.png'), // Add Default Image URL
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_setting(
            'daytrip_promo3_url',
            array(
                'default'     => '',
                'sanitize_callback'	=> 'esc_url_raw',
            )
        );

        $wp_customize->add_setting('daytrip_promo4_title', array(
            'default'     => '',
            'section'  => 'daytrip_featured_boxes',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'sanitize_text_field',
        ) );

        $wp_customize->add_setting('daytrip_promo4_image', array(
            'default' => get_theme_file_uri('images/slider-default.png'), // Add Default Image URL
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_setting(
            'daytrip_promo4_url',
            array(
                'default'     => '',
                'sanitize_callback'	=> 'esc_url_raw',
            )
        );

        $wp_customize->add_setting('daytrip_promo5_title', array(
            'default'     => '',
            'section'  => 'daytrip_featured_boxes',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'sanitize_text_field',
        ) );

        $wp_customize->add_setting('daytrip_promo5_image', array(
            'default' => get_theme_file_uri('images/slider-default.png'), // Add Default Image URL
            'sanitize_callback' => 'esc_url_raw'
        ));

        $wp_customize->add_setting(
            'daytrip_promo5_url',
            array(
                'default'     => '',
                'sanitize_callback'	=> 'esc_url_raw',
            )
        );





        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'featured_boxes',
                array(
                    'label'      => esc_html__('Enable Featured Boxes','daytrip'),
                    'section'    => 'daytrip_featured_boxes',
                    'settings'   => 'daytrip_featured_box',
                    'type'		 => 'checkbox',
                    'priority'	 => 1
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo1_title',
                array(
                    'label'      => esc_html__('Featured Box1 Title','daytrip'),
                    'section'    => 'daytrip_featured_boxes',
                    'settings'   => 'daytrip_promo1_title',
                    'type'		 => 'text',
                    'priority'	 => 3
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Image_Control(
                $wp_customize,
                'promo1_image',
                array(
                    'label'      => esc_html__('Featured Box1 Image','daytrip'),
                    'section'    => 'daytrip_featured_boxes',
                    'settings'   => 'daytrip_promo1_image',
                    'priority'	 => 4
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo1_url',
                array(
                    'label'      => esc_html__('Featured Box1 URL','daytrip'),
                    'section'    => 'daytrip_featured_boxes',
                    'settings'   => 'daytrip_promo1_url',
                    'type'		 => 'url',
                    'priority'	 => 5
                )
            )
        );

        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo2_title',
                array(
                    'label'      => esc_html__('Featured Box2 Title','daytrip'),
                    'section'    => 'daytrip_featured_boxes',
                    'settings'   => 'daytrip_promo2_title',
                    'type'		 => 'text',
                    'priority'	 => 6
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Image_Control(
                $wp_customize,
                'promo2_image',
                array(
                    'label'      => esc_html__('Featured Box2 Image','daytrip'),
                    'section'    => 'daytrip_featured_boxes',
                    'settings'   => 'daytrip_promo2_image',
                    'priority'	 => 7
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo2_url',
                array(
                    'label'      => esc_html__('Featured Box2 URL','daytrip'),
                    'section'    => 'daytrip_featured_boxes',
                    'settings'   => 'daytrip_promo2_url',
                    'type'		 => 'url',
                    'priority'	 => 8
                )
            )
        );

        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo3_title',
                array(
                    'label'      => esc_html__('Featured Box3 Title','daytrip'),
                    'section'    => 'daytrip_featured_boxes',
                    'settings'   => 'daytrip_promo3_title',
                    'type'		 => 'text',
                    'priority'	 => 9
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Image_Control(
                $wp_customize,
                'promo3_image',
                array(
                    'label'      => esc_html__('Featured Box3 Image','daytrip'),
                    'section'    => 'daytrip_featured_boxes',
                    'settings'   => 'daytrip_promo3_image',
                    'priority'	 => 10
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo3_url',
                array(
                    'label'      => esc_html__('Featured Box3 URL','daytrip'),
                    'section'    => 'daytrip_featured_boxes',
                    'settings'   => 'daytrip_promo3_url',
                    'type'		 => 'url',
                    'priority'	 => 11
                )
            )
        );


        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo4_title',
                array(
                    'label'      => esc_html__('Featured Box4 Title','daytrip'),
                    'section'    => 'daytrip_featured_boxes',
                    'settings'   => 'daytrip_promo4_title',
                    'type'		 => 'text',
                    'priority'	 => 12
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Image_Control(
                $wp_customize,
                'promo4_image',
                array(
                    'label'      => esc_html__('Featured Box4 Image','daytrip'),
                    'section'    => 'daytrip_featured_boxes',
                    'settings'   => 'daytrip_promo4_image',
                    'priority'	 => 13
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo4_url',
                array(
                    'label'      => esc_html__('Featured Box4 URL','daytrip'),
                    'section'    => 'daytrip_featured_boxes',
                    'settings'   => 'daytrip_promo4_url',
                    'type'		 => 'url',
                    'priority'	 => 14
                )
            )
        );

        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo5_title',
                array(
                    'label'      => esc_html__('Featured Box5 Title','daytrip'),
                    'section'    => 'daytrip_featured_boxes',
                    'settings'   => 'daytrip_promo5_title',
                    'type'		 => 'text',
                    'priority'	 => 15
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Image_Control(
                $wp_customize,
                'promo5_image',
                array(
                    'label'      => esc_html__('Featured Box5 Image','daytrip'),
                    'section'    => 'daytrip_featured_boxes',
                    'settings'   => 'daytrip_promo5_image',
                    'priority'	 => 16
                )
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Control(
                $wp_customize,
                'promo5_url',
                array(
                    'label'      => esc_html__('Featured Box5 URL','daytrip'),
                    'section'    => 'daytrip_featured_boxes',
                    'settings'   => 'daytrip_promo5_url',
                    'type'		 => 'url',
                    'priority'	 => 17
                )
            )
        );

        // Pro Version
        $wp_customize->add_setting( 'pro_version_colors9', array(
            'sanitize_callback' => 'daytrip_sanitize_custom_control'
        ) );
        $wp_customize->add_control( new Daytrip_Customize_Pro_Version ( $wp_customize,
                'pro_version_colors9', array(
                    'section'	  => 'daytrip_featured_boxes',
                    'type'		  => 'pro_options',
                    'label' 	  => esc_html__( 'Upgrade', 'daytrip' ),
                    'description' => esc_url_raw( 'https://www.vinethemes.com/downloads/daytrip-travel-wordpress-theme/' ),
                    'priority'	  => 100
                )
            )
        );


        // Featured Boxes End


        //General Options

        $wp_customize->add_section( 'daytrip_general_options', array(
            'title'       => esc_html__( 'General Options', 'daytrip' ),
            'description' => esc_html__( 'Configure Your Theme Settings Here.', 'daytrip' ),
            'priority'    => 3
        ) );

        $wp_customize->add_setting( 'daytrip_general_search_icon', array(
            'section'  => 'daytrip_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'daytrip_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'daytrip_general_search_icon', array(
            'settings' => 'daytrip_general_search_icon',
            'label'    => esc_html__( 'Hide Top Search Icon', 'daytrip' ),
            'section'  => 'daytrip_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );
        $wp_customize->add_setting( 'daytrip_general_responsive', array(
            'section'  => 'daytrip_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'daytrip_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'daytrip_general_responsive', array(
            'settings' => 'daytrip_general_responsive',
            'label'    => esc_html__( 'Disable Responsive', 'daytrip' ),
            'section'  => 'daytrip_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );
        $wp_customize->add_setting( 'daytrip_general_sidebar_home', array(
            'section'  => 'daytrip_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'daytrip_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'daytrip_general_sidebar_home', array(
            'settings' => 'daytrip_general_sidebar_home',
            'label'    => esc_html__( 'Disable Sidebar on Homepage and Archive Pages', 'daytrip' ),
            'section'  => 'daytrip_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );
        $wp_customize->add_setting( 'daytrip_general_sidebar_post', array(
            'section'  => 'daytrip_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'daytrip_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'daytrip_general_sidebar_post', array(
            'settings' => 'daytrip_general_sidebar_post',
            'label'    => esc_html__( 'Disable Sidebar on Posts', 'daytrip' ),
            'section'  => 'daytrip_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );
        $wp_customize->add_setting( 'daytrip_general_sidebar_page', array(
            'section'  => 'daytrip_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'daytrip_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'daytrip_general_sidebar_page', array(
            'settings' => 'daytrip_general_sidebar_page',
            'label'    => esc_html__( 'Disable Sidebar on Pages', 'daytrip' ),
            'section'  => 'daytrip_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );

        $wp_customize->add_setting( 'daytrip_general_author_post', array(
            'section'  => 'daytrip_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'daytrip_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'daytrip_general_author_post', array(
            'settings' => 'daytrip_general_author_post',
            'label'    => esc_html__( 'Disable Author Box on Posts', 'daytrip' ),
            'section'  => 'daytrip_general_options',
            'type'     => 'checkbox',
            'priority' => 6
        ) );

        $wp_customize->add_setting( 'daytrip_general_header_title', array(
            'section'  => 'daytrip_general_options',
            'capability' => 'edit_theme_options',
            'sanitize_callback'	=> 'daytrip_sanitize_checkbox',
        ) );

        $wp_customize->add_control( 'daytrip_general_header_title', array(
            'settings' => 'daytrip_general_header_title',
            'label'    => esc_html__( 'Disable Header Title Widget Area', 'daytrip' ),
            'section'  => 'daytrip_general_options',
            'type'     => 'checkbox',
            'priority' => 11
        ) );

        $wp_customize->add_setting( 'daytrip_general_post_summary', array(
            'default' => 'excerpt',
            'section'  => 'daytrip_general_options',
            'sanitize_callback'	=> 'daytrip_sanitize_radio',
        ) );

        $wp_customize->add_control( 'daytrip_general_post_summary', array(
            'type' => 'radio',
            'label'    => esc_html__( 'Homepage and Archive Post Summary Type', 'daytrip' ),
            'section'  => 'daytrip_general_options',
            'choices'  => array(
                'excerpt'  => esc_html__( 'Use Excerpt', 'daytrip' ),
                'full' => esc_html__( 'Use Full Post', 'daytrip' ),
            ),
            'priority' => 9
        ) );


        // Pro Version
        $wp_customize->add_setting( 'pro_version_colors2', array(
            'sanitize_callback' => 'daytrip_sanitize_custom_control'
        ) );
        $wp_customize->add_control( new Daytrip_Customize_Pro_Version ( $wp_customize,
                'pro_version_colors2', array(
                    'section'	  => 'daytrip_general_options',
                    'type'		  => 'pro_options',
                    'label' 	  => esc_html__( 'Upgrade', 'daytrip' ),
                    'description' => esc_url_raw( 'https://www.vinethemes.com/downloads/daytrip-travel-wordpress-theme/' ),
                    'priority'	  => 100
                )
            )
        );


        // Footer Settings
        $wp_customize->add_section( 'daytrip_footer_settings', array(
            'title'       => esc_html__( 'Footer Settings', 'daytrip' ),
            'description' => esc_html__( 'Configure Your Footer Here. You can\'t change our footer links in the free version of this theme.', 'daytrip' ),
            'priority'    => 8
        ) );

        $wp_customize->add_setting(
            'footer_copyright',
            array(
                'default'     => 'Copyright 2023.',
                'sanitize_callback' => 'sanitize_text_field'
            )
        );

        $wp_customize->add_control('footer_copyright', array(
                    'label'      => esc_html__('Footer Copyright Text','daytrip'),
                    'section'    => 'daytrip_footer_settings',
                    'settings'   => 'footer_copyright',
                    'type'		 => 'text',
                    'priority'	 => 1
                )
        );


        // Pro Version
        $wp_customize->add_setting( 'pro_version_colors3', array(
            'sanitize_callback' => 'daytrip_sanitize_custom_control'
        ) );
        $wp_customize->add_control( new Daytrip_Customize_Pro_Version ( $wp_customize,
                'pro_version_colors3', array(
                    'section'	  => 'daytrip_footer_settings',
                    'type'		  => 'pro_options',
                    'label' 	  => esc_html__( 'Upgrade', 'daytrip' ),
                    'description' => esc_url_raw( 'https://www.vinethemes.com/downloads/daytrip-travel-wordpress-theme/' ),
                    'priority'	  => 100
                )
            )
        );


    }


// Adding controls to default customizer panel
    add_action('customize_register','daytrip_customizer_options');
    /*
     * Add in our custom Main Color setting and control to be used in the Customizer in the Colors section
     *
     */
    function daytrip_customizer_options( $wp_customize ) {
        $wp_customize->add_setting(
            'daytrip_main_color', //give it an ID
            array(
                'default' => '#59815b', // Give it a default
                'sanitize_callback' => 'sanitize_hex_color',
                'transport'      => 'refresh'
            )
        );
        $wp_customize->add_control(
            new WP_Customize_Color_Control(
                $wp_customize,
                'daytrip_custom_main_color', //give it an ID
                array(
                    'label'      => esc_html__( 'Main Color', 'daytrip' ), //set the label to appear in the Customizer
                    'section'    => 'colors', //select the section for it to appear under
                    'settings'   => 'daytrip_main_color' //pick the setting it applies to
                )
            )
        );
        $wp_customize->add_setting(
            'daytrip_main_text', //give it an ID
            array(
                'default' => '#59815b', // Give it a default
                'sanitize_callback' => 'sanitize_hex_color',
                'transport'      => 'refresh'
            )
        );
        $wp_customize->add_control(
            new Daytrip_Customize_Pro_Version(
                $wp_customize,
                'daytrip_custom_text', //give it an ID
                array(
                    'label'      => esc_html__( 'Upgrade', 'daytrip' ), //set the label to appear in the Customizer
                    'section'    => 'colors', //select the section for it to appear under
                    'settings'   => 'daytrip_main_text', //pick the setting it applies to
                    'description' => esc_url_raw( 'https://www.vinethemes.com/downloads/daytrip-travel-wordpress-theme/' ),
                )
            )
        );



    }



    /*
    * Adding a section to manage social links
    */
    function daytrip_sociallink_customizer( $wp_customize ) {
        $wp_customize->add_section( 'daytrip_social_section' , array(
            'title' => esc_html__( 'Social Links', 'daytrip' ),
            'priority' => 30,
            'description' => 'Setting for Social media Icons. Add a link to each of your Social Media Profiles. Leave the field empty for the icons you don\'t want to be displayed.',

        ) );

        $wp_customize->add_setting( 'daytrip_facebook', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'daytrip_twitter', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );

        $wp_customize->add_setting( 'daytrip_pinterest', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );

        $wp_customize->add_setting( 'daytrip_linkedin', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'daytrip_instagram', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'daytrip_bloglovin', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'daytrip_snapchat', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'daytrip_tumblr', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'daytrip_youtube', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'daytrip_dribbble', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'daytrip_soundcloud', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'daytrip_vimeo', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );
        $wp_customize->add_setting( 'daytrip_rss', array(
            'sanitize_callback'	=> 'esc_url_raw',

        ) );


        $wp_customize->add_control( 'facebook', array(
            'type' => 'url',
            'label' => esc_html__( 'Facebook', 'daytrip' ),
            'section' => 'daytrip_social_section',
            'settings' => 'daytrip_facebook',
        ) );
        $wp_customize->add_control( 'twitter', array(
            'type' => 'url',
            'label' => esc_html__( 'Twitter', 'daytrip' ),
            'section' => 'daytrip_social_section',
            'settings' => 'daytrip_twitter',
        ) );
        $wp_customize->add_control( 'linkedin', array(
            'type' => 'url',
            'label' => esc_html__( 'Linkedin', 'daytrip' ),
            'section' => 'daytrip_social_section',
            'settings' => 'daytrip_linkedin',
        ) );
        $wp_customize->add_control( 'pinterest', array(
            'type' => 'url',
            'label' => esc_html__( 'Pinterest', 'daytrip' ),
            'section' => 'daytrip_social_section',
            'settings' => 'daytrip_pinterest',
        ) );

        $wp_customize->add_control( 'instagram', array(
            'type' => 'url',
            'label' => esc_html__( 'Instagram', 'daytrip' ),
            'section' => 'daytrip_social_section',
            'settings' => 'daytrip_instagram',
        ) );
        $wp_customize->add_control( 'bloglovin', array(
            'type' => 'url',
            'label' => esc_html__( 'Bloglovin', 'daytrip' ),
            'section' => 'daytrip_social_section',
            'settings' => 'daytrip_bloglovin',
        ) );
        $wp_customize->add_control( 'snapchat', array(
            'type' => 'url',
            'label' => esc_html__( 'Snapchat', 'daytrip' ),
            'section' => 'daytrip_social_section',
            'settings' => 'daytrip_snapchat',
        ) );
        $wp_customize->add_control( 'tumblr', array(
            'type' => 'url',
            'label' => esc_html__( 'Tumblr', 'daytrip' ),
            'section' => 'daytrip_social_section',
            'settings' => 'daytrip_tumblr',
        ) );
        $wp_customize->add_control( 'youtube', array(
            'type' => 'url',
            'label' => esc_html__( 'Youtube', 'daytrip' ),
            'section' => 'daytrip_social_section',
            'settings' => 'daytrip_youtube',
        ) );
        $wp_customize->add_control( 'dribbble', array(
            'type' => 'url',
            'label' => esc_html__( 'Dribbble', 'daytrip' ),
            'section' => 'daytrip_social_section',
            'settings' => 'daytrip_dribbble',
        ) );
        $wp_customize->add_control( 'soundcloud', array(
            'type' => 'url',
            'label' => esc_html__( 'Soundcloud', 'daytrip' ),
            'section' => 'daytrip_social_section',
            'settings' => 'daytrip_soundcloud',
        ) );
        $wp_customize->add_control( 'vimeo', array(
            'type' => 'url',
            'label' => esc_html__( 'Vimeo', 'daytrip' ),
            'section' => 'daytrip_social_section',
            'settings' => 'daytrip_vimeo',
        ) );
        $wp_customize->add_control( 'rss', array(
            'type' => 'url',
            'label' => esc_html__( 'Rss', 'daytrip' ),
            'section' => 'daytrip_social_section',
            'settings' => 'daytrip_rss',
        ) );


    }
    add_action('customize_register', 'daytrip_sociallink_customizer');

    function daytrip_sanitize_text( $input ) {
        return wp_kses_post( force_balance_tags( $input ) );
    }


    //checkbox sanitization function
    function daytrip_sanitize_checkbox( $input ){

        //returns true if checkbox is checked
        return (( isset( $input ) && true === $input ) ? true : false );
    }

    //radio box sanitization function
    function daytrip_sanitize_radio( $input, $setting ){
    $valid = array(
        'excerpt' => 'excerpt',
        'full' => 'full',
        'standard' => 'standard',
        'grid' => 'grid',
        'enable' => 'enable',
        'disable' => 'disable',
        'header1' => 'header1',
        'header2' => 'header2',
        'header3' => 'header3'
    );
    if ( array_key_exists( $input, $valid ) ) {
        return $input;
    } else {
        return $setting->default;
    }
    }

    function daytrip_panels_js() {
        wp_enqueue_style( 'daytrip-customizer-ui-css', get_theme_file_uri( '/customizer-ui.css' ) );
    }
    add_action( 'customize_controls_enqueue_scripts', 'daytrip_panels_js' );
